#
# spec file for package rubygem-thin (Version 1.2.7)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-thin
Version:        1.2.7
Release:        1.1
%define mod_name thin
#
Group:          Development/Languages/Ruby
License:        GPLv2+ or Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires

Requires:       ruby >= 1.8.5
BuildRequires:  ruby-devel >= 1.8.5
BuildRequires:  rubygem-rack >= 1.0.0
Requires:       rubygem-rack >= 1.0.0
BuildRequires:  rubygem-eventmachine >= 0.12.6
Requires:       rubygem-eventmachine >= 0.12.6
BuildRequires:  rubygem-daemons >= 1.0.9
Requires:       rubygem-daemons >= 1.0.9
#
Url:            http://code.macournoyer.com/thin/
Source:         %{mod_name}-%{version}.gem
#
Summary:        A thin and fast web server
%description
Thin is a very simple web server written in Ruby. It's single-threaded, which
means it can only serve one request at a time. This simplicity affords
increased speed and decreased memory usage for singled-threaded framework like
Rails.

Thin is a Ruby web server that glues together 3 of the best Ruby libraries in
web history:

- the Mongrel parser, the root of Mongrel speed and security
- Event Machine, a network I/O library with extremely high scalability,
  performance and stability
- Rack, a minimal interface between webservers and Ruby frameworks

Which makes it, with all humility, the most secure, stable, fast and extensible
Ruby web server.



Authors:
--------
    Marc-Andre Cournoyer <macournoyer@gmail.com>

%prep
%build
%install
%gem_install %{S:0}
%gem_cleanup
# fix /usr/local/bin/ruby usage
sed -i 's,/usr/local/bin/ruby,/usr/bin/ruby,' \
  %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/spec/rails_app/public/dispatch.*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/thin
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Wed Jun  9 2010 mrueckert@suse.de
- update to version 1.2.7
  * Support multiple Ruby version (fat binaries under windows)
  * Do not trap unsupported HUP signal on Windows
- additional changes from 1.2.6
  * Make work with Rails 3 out-of-the-box.
  * Auto-detect and load config.ru files on start. Makes Rails 3
  work.
  * Fix signals being ignored under 1.9 when daemonized.
* Fri Dec 25 2009 prusnak@suse.cz
- update to version 1.2.5
  * Add rolling restart support (--onebyone option) [sikachu] Force
  * external_encoding of request's body to ASCII_8BIT [jeremyz]
  * Ensure Rack base API is used in Rails adapter only if version
    >= 2.3.2 [#111 state:resolved]
- additional changes from version 1.2.4
  * Fix a few issues in thin to make it a better "gem citizen"
    [josh]
  * Fix test for rack based Rails in adapter under Ruby >= 1.8.7
    [#109 state:resolved]
  * Fix Remote address spoofing vulnerability in
    Connection#remote_address [Alexey Borzenkov]
  * Fix uninitialized constant ActionController::Dispatcher error
    with Rails 1.2.3 [Chris Anderton] [#103 state:resolved]
- additional changes from version 1.2.2
  * Fix force kill under 1.9 [Alexey Chebotar]
  * Fix regression when --only option is used w/ --socket.
  * Add process name 'tag' functionality. Easier to distinguish
    thin daemons from eachother in process listing [ctcherry]
- additional changes from version 1.2.1
  * Require Rack 1.0.0
  * Require EventMachine 0.12.6
  * Use Rails Rack based dispatcher when available
  * Allow String for response body
  * Require openssl before eventmachine to prevent crash in 1.9
- additional changes from version 1.2.0
  * Add async response support, see example/async_*.ru [raggi]
- additional changes from version 1.1.1
  * Fix bug when running with only options [hasimo]
- additional changes from version 1.1.0
  * Require EventMachine 0.12.4
  * Remove Thin handler, now part of Rack 0.9.1
  * Fix Rack protocol version to 0.1 in environment hash.
  * Fix error when passing no_epoll option to a cluster.
  * Omit parsing #defined strings [Jérémy Zurcher]
  * Defaults SERVER_NAME to localhost like webrick does
    [#87 state:resolved]
  * Namespace parser to prevent error when mongrel is required
    [cliffmoon]
  * Set RACK_ENV based on environment option when loading rackup
    file [Curtis Summers] [#83 state:resolved]
  * Fixes a warning RE relative_url_root when using a prefix with
    Rails 2.1.1 [seriph] [#85 state:resolved]
  * --only can work as a sequence number (if < 80) or a port number
    (if >= 80) [jmay] [#81 state:resolved]
* Tue Nov 25 2008 mrueckert@suse.de
- fix path to the ruby interpreter in the dispatch files
* Fri Nov 14 2008 mrueckert@suse.de
- update to version 1.0.0
  too many changes see /usr/lib*/ruby/gems/1.8/gems/thin-1.0.0/CHANGELOG
* Mon Aug 25 2008 mrueckert@suse.de
- update to version 0.8.2
  too many changes see /usr/lib*/ruby/gems/1.8/gems/thin-0.8.2/CHANGELOG
* Thu Feb 21 2008 mrueckert@suse.de
- initial package of version 0.6.4
